Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Stefan Kangas <[email-masked]>
Date: Sun, 18 Apr 2021 07:22:03 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> The visual-bell on Macos is pretty, but really intrusive.  If we want to
> make the visual bell the default, we should perhaps change that first.

True, it is *really* intrusive.  And it hides a large part of your
buffer text too, which is highly annoying to me.  So I guess we should
do something about it first, yes.

So how can we make it less intrusive?  Would it be enough to make it
smaller, or move its position or something?  For example, if it was a
bit smaller and in the top right?  I would probably also decrease its
duration to around three thirds or even half of what it is now.

Or do we need a complete rethinking of this?  Perhaps there is some
other software that we can steal some good ideas from?  (And if we can
come up with something very good, perhaps we will want to do the same on
GNU/Linux.)